org.bdgenomics.adam.models

# DNAAlphabet

#### class DNAAlphabet extends Alphabet

The standard DNA alphabet with A,T,C, and G

Linear Supertypes
Alphabet, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DNAAlphabet
2. Alphabet
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DNAAlphabet()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(c: Char): Symbol

   c

     char to lookup as a symbol in this alphabet

   returns

     the given symbol

   Definition Classes
     Alphabet

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### val caseSensitive: Boolean

   flag if symbols are case-sensitive.

   flag if symbols are case-sensitive. if true, this alphabet will treat symbols representing upper and lower case symbols as distinct if false, this alphabet will treat upper or lower case chars as the same for its symbols

   Definition Classes
     DNAAlphabet → Alphabet

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def reverseComplement(s: String, notFound: (Char) ⇒ Symbol = (c: Char) => Symbol(c, c)): String

    s

      Each char in this string represents a symbol on the alphabet.

    notFound

      If the char is not in the alphabet then this function is called. default behavior is to return a new Symbol representing the unknown character, so that the unknown char is treated as the complement

    returns

      the reversed complement of the given string.

    Definition Classes
      Alphabet

20. #### def reverseComplementExact(s: String): String

    s

      Each char in this string represents a symbol on the alphabet. If the char is not in the alphabet then a NoSuchElementException is thrown

    returns

      the reversed complement of the given string.

    Definition Classes
      Alphabet
    Exceptions thrown
      IllegalArgumentException

      if the string contains a symbol which is not in the alphabet

21. #### def size: Int

    number of symbols in the alphabet

    number of symbols in the alphabet

    Definition Classes
      Alphabet

22. #### lazy val symbolMap: Map[Char, Symbol]

    map of the symbol char to the symbol

    map of the symbol char to the symbol

    Definition Classes
      Alphabet

23. #### val symbols: Seq[Symbol]

    the symbols in this alphabet

    the symbols in this alphabet

    Definition Classes
      DNAAlphabet → Alphabet

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Alphabet

### Inherited from AnyRef

### Inherited from Any

### Ungrouped